# gdcm::KAKADUCodec Class Reference

KAKADUCodec. More...

`#include <gdcmKAKADUCodec.h>`

Inheritance diagram for gdcm::KAKADUCodec:
[legend]
Collaboration diagram for gdcm::KAKADUCodec:
[legend]

List of all members.

## Public Member Functions

| KAKADUCodec ()
| ~KAKADUCodec ()
bool | CanCode (TransferSyntax const &ts) const
| Return whether this coder support this transfer syntax (can code it)
bool | CanDecode (TransferSyntax const &ts) const
| Return whether this decoder support this transfer syntax (can decode it)
bool | Code (DataElement const &in, DataElement &out)
| Code.
bool | Decode (DataElement const &is, DataElement &os)
| Decode.

## Detailed Description

KAKADUCodec.

## Constructor & Destructor Documentation

gdcm::KAKADUCodec::KAKADUCodec | ( |  | ) |

gdcm::KAKADUCodec::~KAKADUCodec | ( |  | ) |

## Member Function Documentation

bool gdcm::KAKADUCodec::CanCode | ( | TransferSyntax const & |  | ) | const`[virtual]`

Return whether this coder support this transfer syntax (can code it)

Reimplemented from gdcm::ImageCodec.

bool gdcm::KAKADUCodec::CanDecode | ( | TransferSyntax const & |  | ) | const`[virtual]`

Return whether this decoder support this transfer syntax (can decode it)

Reimplemented from gdcm::ImageCodec.

bool gdcm::KAKADUCodec::Code | ( | DataElement const & | in_,
|  | DataElement & | out_
| ) |  | `[virtual]`

Code.

Reimplemented from gdcm::Coder.

bool gdcm::KAKADUCodec::Decode | ( | DataElement const & | is_,
|  | DataElement & | os
| ) |  | `[virtual]`

Decode.

Reimplemented from gdcm::ImageCodec.

The documentation for this class was generated from the following file:

- gdcmKAKADUCodec.h